> ## Documentation Index
> Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check role binding exists

> Check whether a role binding with the given name exists for the current tenant.



## OpenAPI

````yaml /openapi.json get /api/svc/v1/role-bindings/exists
openapi: 3.1.0
info:
  title: TrueFoundry API
  description: API for TrueFoundry
  version: 0.1.0
  contact: {}
servers:
  - url: https://{controlPlaneURL}
    variables:
      controlPlaneURL:
        default: app.truefoundry.com
        description: Control Plane URL
security: []
tags:
  - name: Agent
  - name: Agent Skills
  - name: Applications
  - name: Metrics
  - name: Apply
  - name: Artifacts
  - name: Audit Logs
  - name: Clusters
  - name: Jobs
  - name: LLM Gateway Budgets
  - name: Logs
  - name: MCP Registry
  - name: MCP Servers V2
  - name: MLRepos
  - name: Model Deployments
  - name: Models
  - name: Personal Access Tokens
  - name: Prompts
  - name: Provider Integrations
  - name: SCIM v2
  - name: Secret Groups
  - name: Secrets
  - name: Teams
  - name: Traces
  - name: Users
  - name: Virtual Accounts
  - name: Role Bindings
  - name: Workspaces
  - name: Provider Accounts
paths:
  /api/svc/v1/role-bindings/exists:
    get:
      tags:
        - Role Bindings
        - public
      summary: Check role binding exists
      description: >-
        Check whether a role binding with the given name exists for the current
        tenant.
      operationId: RoleBinding.roleBindingExists
      parameters:
        - name: name
          required: true
          in: query
          description: Human-readable name of the role binding to check.
          schema:
            type: string
      responses:
        '200':
          description: Whether a role binding with the given name exists.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoleBindingExistsResponse'
      security:
        - jwt: []
components:
  schemas:
    RoleBindingExistsResponse:
      type: object
      properties:
        exists:
          type: boolean
          description: Whether a role binding with the given name exists.
      required:
        - exists
      title: RoleBindingExistsResponse
      x-fern-type-name: RoleBindingExistsResponse
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.